Affichage des résultats 1 à 9 sur 9

Discussion: $config['Mysqli']['charset'] = 'utf8';

  1. #1
    Date d'inscription
    janvier 2005
    Localisation
    EU
    Âge
    34
    Messages
    1 428
    Version de vBulletin
    5.0
    Hébergeur
    Serveurs PRIMERGY
    Pouvoir de réputation
    56

    $config['Mysqli']['charset'] = 'utf8';

    Salut tout le monde,

    Voici une explication quand ton "phpMyAdmin" est avec MySQL version 3.23, le mieux est de laisser ceci par défault "$config['Mysqli']['charset'] = 'utf8';".
    // ****** MySQLI OPTIONS *****
    // When using MySQL 4.1+, MySQLi should be used to connect to the database.
    // If you need to set the default connection charset because your database
    // is using a charset other than latin1, you can set the charset here.
    // If you don't set the charset to be the same as your database, you
    // may receive collation errors. Ignore this setting unless you are sure
    // you need to use it.
    // $config['Mysqli']['charset'] = 'utf8';


    A+
    Dernière modification par Alt ; 25/08/2006 à 17h45.

  2. #2
    Date d'inscription
    décembre 2004
    Localisation
    Paris
    Âge
    45
    Messages
    1 171
    Version de vBulletin
    4.2
    Hébergeur
    OVH
    Pouvoir de réputation
    55
    Personnellement je pense que tu peux rester en UTF-8 meme si la version 3.23 ne traite pas vraiment a 100% ce type d encodage

  3. #3
    Date d'inscription
    janvier 2005
    Localisation
    EU
    Âge
    34
    Messages
    1 428
    Version de vBulletin
    5.0
    Hébergeur
    Serveurs PRIMERGY
    Pouvoir de réputation
    56
    Citation Envoyé par finereader
    Personnellement je pense que tu peux rester en UTF-8 meme si la version 3.23 ne traite pas vraiment a 100% ce type d encodage
    - Pour MySQL version 4 ou supérieur => "$config['Mysqli']['charset'] = 'utf8';"
    - Pour MySQL version 3 =>"$config['Mysqli']['charset'] = 'latin1';"
    Dernière modification par Alt ; 25/08/2006 à 17h44.

  4. #4
    Date d'inscription
    décembre 2004
    Localisation
    Paris
    Âge
    45
    Messages
    1 171
    Version de vBulletin
    4.2
    Hébergeur
    OVH
    Pouvoir de réputation
    55
    c'est ce que je t'ai dit, tout cela vient de la version de mysql qui est en 3.23, alors que le traitement a 100% de l'utf-8 est reellement pris en charge a partir de la version 4.1 de Mysql.

  5. #5
    Date d'inscription
    janvier 2005
    Localisation
    EU
    Âge
    34
    Messages
    1 428
    Version de vBulletin
    5.0
    Hébergeur
    Serveurs PRIMERGY
    Pouvoir de réputation
    56
    Citation Envoyé par finereader
    c'est ce que je t'ai dit, tout cela vient de la version de mysql qui est en 3.23, alors que le traitement a 100% de l'utf-8 est reellement pris en charge a partir de la version 4.1 de Mysql.
    Ah d'accord, je vois, merci finereader

  6. #6
    Date d'inscription
    septembre 2002
    Localisation
    France
    Âge
    34
    Messages
    11 287
    Version de vBulletin
    5.0
    Hébergeur
    Serveur dédié OVH
    Billets dans le blog
    13
    Pouvoir de réputation
    119
    Ce paramètre est pour MySQL 4.1+ et PHP 5.1+
    vBulletin Quality Assurance
    Développeur en chef de Project Tools 2.1+ pour vB 4 et 2.0 pour vB 3
    Restera très discret sur toutes les futures fonctionnalités de vBulletin ainsi que de vBulletin 5 Connect jusqu'à leur sortie publique ^^

    Tout MP d'aide -> Supprimé

  7. #7
    Date d'inscription
    janvier 2005
    Localisation
    EU
    Âge
    34
    Messages
    1 428
    Version de vBulletin
    5.0
    Hébergeur
    Serveurs PRIMERGY
    Pouvoir de réputation
    56
    Citation Envoyé par Pitchoune
    Ce paramètre est pour MySQL 4.1+ et PHP 5.1+
    Oui Pitchoune, en fait mon MySQL est 3.32.
    Dernière modification par Alt ; 14/08/2007 à 00h51.

  8. #8
    Date d'inscription
    septembre 2002
    Localisation
    France
    Âge
    34
    Messages
    11 287
    Version de vBulletin
    5.0
    Hébergeur
    Serveur dédié OVH
    Billets dans le blog
    13
    Pouvoir de réputation
    119
    Ca sert à rien, ça marchera pas avec MySQL 3.xx.xx, c'est pour MySQL 4.1.x minimum
    vBulletin Quality Assurance
    Développeur en chef de Project Tools 2.1+ pour vB 4 et 2.0 pour vB 3
    Restera très discret sur toutes les futures fonctionnalités de vBulletin ainsi que de vBulletin 5 Connect jusqu'à leur sortie publique ^^

    Tout MP d'aide -> Supprimé

  9. #9
    Date d'inscription
    janvier 2005
    Localisation
    EU
    Âge
    34
    Messages
    1 428
    Version de vBulletin
    5.0
    Hébergeur
    Serveurs PRIMERGY
    Pouvoir de réputation
    56
    D'accord merci

Informations de la discussion

Utilisateur(s) sur cette discussion

Il y a actuellement 1 utilisateur(s) naviguant sur cette discussion. (0 utilisateur(s) et 1 invité(s))

Discussions similaires

  1. [Divers] - Le config.php
    Par Eve_Ra dans le forum FAQs
    Réponses: 8
    Dernier message: 20/02/2004, 23h48
  2. Config.php, où est tu ?
    Par Mystic Matt dans le forum Salon
    Réponses: 8
    Dernier message: 20/11/2003, 19h09
  3. [Divers] - Le Config.php
    Par Corbu dans le forum FAQs
    Réponses: 18
    Dernier message: 07/03/2003, 22h25
  4. pb config.php
    Par gentilgargamel dans le forum Salon
    Réponses: 4
    Dernier message: 25/02/2003, 10h21

Les tags pour cette discussion

Règles de messages

  • Vous ne pouvez pas créer de nouvelles discussions
  • Vous ne pouvez pas envoyer des réponses
  • Vous ne pouvez pas envoyer des pièces jointes
  • Vous ne pouvez pas modifier vos messages
  •